## org.codehaus.groovy.grails.web.converters
Enum Converter.CircularReferenceBehaviour

    java.lang.Object
      java.lang.Enum<Converter.CircularReferenceBehaviour>
          org.codehaus.groovy.grails.web.converters.Converter.CircularReferenceBehaviour

All Implemented Interfaces:
  Serializable, Comparable<Converter.CircularReferenceBehaviour>

Enclosing interface:
  Converter<W>

    public static enum Converter.CircularReferenceBehaviour

extends Enum<Converter.CircularReferenceBehaviour>

Enum Constant Summary
`DEFAULT`
`EXCEPTION`
`INSERT_NULL`

Method Summary
`static Converter.CircularReferenceBehaviour` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Converter.CircularReferenceBehaviour[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Converter.CircularReferenceBehaviour DEFAULT

### EXCEPTION

    public static final Converter.CircularReferenceBehaviour EXCEPTION

### INSERT_NULL

    public static final Converter.CircularReferenceBehaviour INSERT_NULL

Method Detail

### values

    public static final Converter.CircularReferenceBehaviour[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Converter.CircularReferenceBehaviour c : Converter.CircularReferenceBehaviour.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Converter.CircularReferenceBehaviour valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2005-2009 The Grails project